Bug 167261 - Exception occurs when changing driver from Postscript to LaserJet 4000T/TN
Exception occurs when changing driver from Postscript to LaserJet 4000T/TN
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-31 20:38 EDT by Tim Wegener
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-13 10:40:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Wegener 2005-08-31 20:38:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
When trying to change the printer driver for an existing queue from Generic/Postscript to HP/LaserJet 4000T/TN system-config-printer generates an exception and won't change the driver. 

This problem doesn't occur for some other drivers that I tried, but does occur for HP/LaserJet 4000/N as well. The common factor seems to be that they both use the 'omni-compiled' driver. 


Version-Release number of selected component (if applicable):
system-config-printer-0.6.116.1.4-1

How reproducible:
Always

Steps to Reproduce:
1. (Printer is initially configured as Generic/Postscript)
2. system-config-printer
3. select printer and click edit
4. select 'Printer Driver' tab
5. select HP/LaserJet 4000T/TN
6. click okay
  

Actual Results:  The following exception traceback is generated and the dialog must be closed via the close icon in the top right corner (and change does not take effect and system-config-printer becomes unstable):

Traceback (most recent call last):
  File "/usr/share/printconf/util/queueTree.py", line 600, in edit_button_clicked
    if self.editQueue.editQueueDialog (iter):
  File "/usr/share/printconf/util/editQueue.py", line 452, in editQueueDialog
    self.read_driver_options ()
  File "/usr/share/printconf/util/editQueue.py", line 1015, in read_driver_options
    dict[key] = store.get_value (iter, 1)
TypeError: iter must be a GtkTreeIter


Expected Results:  New printer driver selection should take effect.


Additional info:

Versions of possibly relevant packages:
system-config-printer-0.6.116.1.4-1
foomatic-3.0.2-13.4
Omni-0.9.2-1.1
Omni-foomatic-0.9.2-1.1
Comment 1 Matthew Miller 2006-07-10 18:48:49 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Tim Waugh 2006-12-13 10:40:21 EST
FC6 includes a re-written config tool.

Note You need to log in before you can comment on or make changes to this bug.